Name:		hbict
Version:	1.0
Release:	2%{?dist}
Summary:	Hash Based Incremental Checkpointing Tool
License:	BSD
URL:		http://hbict.sourceforge.net/
Source0:	http://sourceforge.net/projects/hbict/files/hbict-%version.tar.gz
BuildRequires:	openssl-devel
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)


%description

HBICT -- Hash Based Incremental Checkpointing Tool -- is a free
software toolkit for compression of parallel programs' checkpoints.
It is designed for the GNU/Linux operating system.

The methods and algorithms implemented in parallel programs are
characterized by different use of an available random access memory.
For example, for some iterative methods it is typical to changing data
partially during the operation.  The checkpoints (CPs) created for such
programs may contain duplicate information.  Saving in checkpoints
only the changed fragments of a program's status can considerably
reduce the size of transferred and storable data and, thereby, reduce
load on an I/O subsystem.  This approach is called delta compression.

HBICT supportes the following types of compression:
* incremental -- provides delta compression of each CP, starting from
  the second, relative to the previous CP;
* differential -- assume compression of all CP relative to the first;
* adaptive -- original algorithm, which combines the advantages of
  incremental and differential compression;
* combined -- mode providing additional processing of delta-compressed
  CP by algorithm LZ77, implemented in the GZIP program.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %buildroot
make install DESTDIR=%buildroot
# treated below
rm -r %buildroot%_docdir/hbict

%check
# not clear if/how tests will run

%clean
rm -rf %buildroot


%{!?_licensedir:%global license %%doc}
%files
%license COPYING
%doc AUTHORS README TODO
%license COPYING
%_bindir/hbict


%changelog
* Tue Nov 17 2015 Dave Love <loveshack@fedoraproject.org> - 1.0-2
- Bump for copr

* Tue Nov 17 2015 Dave Love <loveshack@fedoraproject.org> - 1.0-1
- Initial packaging

